VULKAN_HPP_NAMESPACE::FlagTraits< ImageCreateFlagBits > Struct Reference

`#include <vulkan.hpp>`

## Public Types

enum

{ allFlags = VkFlags(ImageCreateFlagBits::eSparseBinding) | VkFlags(ImageCreateFlagBits::eSparseResidency) | VkFlags(ImageCreateFlagBits::eSparseAliased) | VkFlags(ImageCreateFlagBits::eMutableFormat) | VkFlags(ImageCreateFlagBits::eCubeCompatible) | VkFlags(ImageCreateFlagBits::eAlias) | VkFlags(ImageCreateFlagBits::eSplitInstanceBindRegions) | VkFlags(ImageCreateFlagBits::e2DArrayCompatible) | VkFlags(ImageCreateFlagBits::eBlockTexelViewCompatible) | VkFlags(ImageCreateFlagBits::eExtendedUsage) | VkFlags(ImageCreateFlagBits::eProtected) | VkFlags(ImageCreateFlagBits::eDisjoint) | VkFlags(ImageCreateFlagBits::eCornerSampledNV) | VkFlags(ImageCreateFlagBits::eSampleLocationsCompatibleDepthEXT) }

## Detailed Description

Definition at line 23517 of file vulkan.hpp.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
allFlags |

Definition at line 23519 of file vulkan.hpp.

{
allFlags = VkFlags(ImageCreateFlagBits::eSparseBinding) | VkFlags(ImageCreateFlagBits::eSparseResidency) | VkFlags(ImageCreateFlagBits::eSparseAliased) | VkFlags(ImageCreateFlagBits::eMutableFormat) | VkFlags(ImageCreateFlagBits::eCubeCompatible) | VkFlags(ImageCreateFlagBits::eAlias) | VkFlags(ImageCreateFlagBits::eSplitInstanceBindRegions) | VkFlags(ImageCreateFlagBits::e2DArrayCompatible) | VkFlags(ImageCreateFlagBits::eBlockTexelViewCompatible) | VkFlags(ImageCreateFlagBits::eExtendedUsage) | VkFlags(ImageCreateFlagBits::eProtected) | VkFlags(ImageCreateFlagBits::eDisjoint) | VkFlags(ImageCreateFlagBits::eCornerSampledNV) | VkFlags(ImageCreateFlagBits::eSampleLocationsCompatibleDepthEXT)
};

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::ImageCreateFlagBits::eExtendedUsage
@ eExtendedUsage
VULKAN_HPP_NAMESPACE::ImageCreateFlagBits::eSparseResidency
@ eSparseResidency
VULKAN_HPP_NAMESPACE::ImageCreateFlagBits::e2DArrayCompatible
@ e2DArrayCompatible
VULKAN_HPP_NAMESPACE::ImageCreateFlagBits::eCornerSampledNV
@ eCornerSampledNV
VULKAN_HPP_NAMESPACE::ImageCreateFlagBits::eProtected
@ eProtected
VULKAN_HPP_NAMESPACE::ImageCreateFlagBits::eMutableFormat
@ eMutableFormat
VULKAN_HPP_NAMESPACE::ImageCreateFlagBits::eDisjoint
@ eDisjoint
VkFlags
uint32_t VkFlags
Definition: vulkan_core.h:64
VULKAN_HPP_NAMESPACE::ImageCreateFlagBits::eSampleLocationsCompatibleDepthEXT
@ eSampleLocationsCompatibleDepthEXT
VULKAN_HPP_NAMESPACE::ImageCreateFlagBits::eSparseBinding
@ eSparseBinding
VULKAN_HPP_NAMESPACE::ImageCreateFlagBits::eBlockTexelViewCompatible
@ eBlockTexelViewCompatible
VULKAN_HPP_NAMESPACE::ImageCreateFlagBits::eSparseAliased
@ eSparseAliased
VULKAN_HPP_NAMESPACE::FlagTraits< ImageCreateFlagBits >::allFlags
@ allFlags
Definition: vulkan.hpp:23521
VULKAN_HPP_NAMESPACE::ImageCreateFlagBits::eSplitInstanceBindRegions
@ eSplitInstanceBindRegions
VULKAN_HPP_NAMESPACE::ImageCreateFlagBits::eAlias
@ eAlias
VULKAN_HPP_NAMESPACE::ImageCreateFlagBits::eCubeCompatible
@ eCubeCompatible